asn1_parser2tree(3)

NAME
asn1_parser2tree - API function

SYNOPSIS
#include <libtasn1.h>

asn1_retCode asn1_parser2tree(const char * file_name, ASN1_TYPE * definitions, char * errorDescription);

ARGUMENTS

const char * file_name
    specify the path and the name of file that contains ASN.1 declarations.

ASN1_TYPE * definitions
    return the pointer to the structure created from "file_name" ASN.1 declarations.

char * errorDescription
    return the error description or an empty string if success.

DESCRIPTION
Function used to start the parse algorithm. Creates the structures needed to manage the definitions included in file_name file.

RETURNS

COPYRIGHT
Copyright © 2006, 2007, 2008, 2009, 2010 Free Software Foundation, Inc..
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for libtasn1 is maintained as a Texinfo manual. If the info and libtasn1 programs are properly installed at your site, the command

    info libtasn1

should give you access to the complete manual.